## WDS Stop Network

WDS Stop Network

## Functions

QmiMessageWdsStopNetworkInput * | qmi_message_wds_stop_network_input_new ()
QmiMessageWdsStopNetworkInput * | qmi_message_wds_stop_network_input_ref ()
void | qmi_message_wds_stop_network_input_unref ()
gboolean | qmi_message_wds_stop_network_input_get_disable_autoconnect ()
gboolean | qmi_message_wds_stop_network_input_set_disable_autoconnect ()
gboolean | qmi_message_wds_stop_network_input_get_packet_data_handle ()
gboolean | qmi_message_wds_stop_network_input_set_packet_data_handle ()
QmiMessageWdsStopNetworkOutput * | qmi_message_wds_stop_network_output_ref ()
void | qmi_message_wds_stop_network_output_unref ()
gboolean | qmi_message_wds_stop_network_output_get_result ()
void | qmi_client_wds_stop_network ()
QmiMessageWdsStopNetworkOutput * | qmi_client_wds_stop_network_finish ()

## Types and Values

| QmiMessageWdsStopNetworkInput
| QmiMessageWdsStopNetworkOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWdsStopNetworkInput
        ╰── QmiMessageWdsStopNetworkOutput

## Description

## Functions

### qmi_message_wds_stop_network_input_new ()

    QmiMessageWdsStopNetworkInput *
    qmi_message_wds_stop_network_input_new
                                   (void);

Allocates a new QmiMessageWdsStopNetworkInput.

#### Returns

the newly created QmiMessageWdsStopNetworkInput. The returned value should be freed with `qmi_message_wds_stop_network_input_unref()`.

Since: 1.0

### qmi_message_wds_stop_network_input_ref ()

    QmiMessageWdsStopNetworkInput *
    qmi_message_wds_stop_network_input_ref
                                   (QmiMessageWdsStopNetworkInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsStopNetworkInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_wds_stop_network_input_unref ()

    void
    qmi_message_wds_stop_network_input_unref
                                   (QmiMessageWdsStopNetworkInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsStopNetworkInput. |

Since: 1.0

### qmi_message_wds_stop_network_input_get_disable_autoconnect ()

    gboolean
    qmi_message_wds_stop_network_input_get_disable_autoconnect
                                   (QmiMessageWdsStopNetworkInput *self,
                                    gboolean *value_disable_autoconnect,
                                    GError **error);

Get the 'Disable Autoconnect' field from `self` .

#### Parameters

self | a QmiMessageWdsStopNetworkInput. |
value_disable_autoconnect | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wds_stop_network_input_set_disable_autoconnect ()

    gboolean
    qmi_message_wds_stop_network_input_set_disable_autoconnect
                                   (QmiMessageWdsStopNetworkInput *self,
                                    gboolean value_disable_autoconnect,
                                    GError **error);

Set the 'Disable Autoconnect' field in the message.

#### Parameters

self | a QmiMessageWdsStopNetworkInput. |
value_disable_autoconnect | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_wds_stop_network_input_get_packet_data_handle ()

    gboolean
    qmi_message_wds_stop_network_input_get_packet_data_handle
                                   (QmiMessageWdsStopNetworkInput *self,
                                    guint32 *value_packet_data_handle,
                                    GError **error);

Get the 'Packet Data Handle' field from `self` .

#### Parameters

self | a QmiMessageWdsStopNetworkInput. |
value_packet_data_handle | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wds_stop_network_input_set_packet_data_handle ()

    gboolean
    qmi_message_wds_stop_network_input_set_packet_data_handle
                                   (QmiMessageWdsStopNetworkInput *self,
                                    guint32 value_packet_data_handle,
                                    GError **error);

Set the 'Packet Data Handle' field in the message.

#### Parameters

self | a QmiMessageWdsStopNetworkInput. |
value_packet_data_handle | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_wds_stop_network_output_ref ()

    QmiMessageWdsStopNetworkOutput *
    qmi_message_wds_stop_network_output_ref
                                   (QmiMessageWdsStopNetworkOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsStopNetworkOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_wds_stop_network_output_unref ()

    void
    qmi_message_wds_stop_network_output_unref
                                   (QmiMessageWdsStopNetworkOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsStopNetworkOutput. |

Since: 1.0

### qmi_message_wds_stop_network_output_get_result ()

    gboolean
    qmi_message_wds_stop_network_output_get_result
                                   (QmiMessageWdsStopNetworkOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdsStopNetworkOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_client_wds_stop_network ()

    void
    qmi_client_wds_stop_network (QmiClientWds *self,
                                 QmiMessageWdsStopNetworkInput *input,
                                 guint timeout,
                                 GCancellable *cancellable,
                                 GAsyncReadyCallback callback,
                                 gpointer user_data);

Asynchronously sends a Stop Network request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wds_stop_network_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWds. |
input | a QmiMessageWdsStopNetworkInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_wds_stop_network_finish ()

    QmiMessageWdsStopNetworkOutput *
    qmi_client_wds_stop_network_finish (QmiClientWds *self,
                                        GAsyncResult *res,
                                        GError **error);

Finishes an async operation started with `qmi_client_wds_stop_network()`.

#### Parameters

self | a QmiClientWds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wds_stop_network()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdsStopNetworkOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wds_stop_network_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageWdsStopNetworkInput

    typedef struct _QmiMessageWdsStopNetworkInput QmiMessageWdsStopNetworkInput;

The QmiMessageWdsStopNetworkInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageWdsStopNetworkOutput

    typedef struct _QmiMessageWdsStopNetworkOutput QmiMessageWdsStopNetworkOutput;

The QmiMessageWdsStopNetworkOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0